Bug 985190 - Review Request: python-django-memcached-pool - A Memcached Pool for Django
Review Request: python-django-memcached-pool - A Memcached Pool for Django
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Marcelo Barbosa "firemanxbr"
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-17 00:48 EDT by Yohan Graterol
Modified: 2013-08-18 18:45 EDT (History)
5 users (show)

See Also:
Fixed In Version: python-django-memcached-pool-0.4.1-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-18 17:33:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mr.marcelo.barbosa: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Yohan Graterol 2013-07-17 00:48:15 EDT
python-django-memcached-pool

An efficient fast Django Memcached backend with a
pool of connectors, based on ultramemcache.

SPEC: http://yograterol.fedorapeople.org/python-django-memcached-pool.spec
SRPM: http://yograterol.fedorapeople.org/python-django-memcached-pool-0.4.1-1.fc19.src.rpm

FAS Username: yograterol
Comment 1 Marcelo Barbosa "firemanxbr" 2013-07-29 17:32:42 EDT
hi Yohan,

   Please see this error in your package:

$ fedora-review -b 985190

INFO: Processing bugzilla bug: 985190
INFO: Getting .spec and .srpm Urls from : 985190
INFO:   --> SRPM url: http://yograterol.fedorapeople.org/python-django-memcached-pool-0.4.1-1.fc19.src.rpm
INFO:   --> Spec url: http://yograterol.fedorapeople.org/python-django-memcached-pool.spec
INFO: Using review directory: /home/marcelo.barbosa/rpmbuild/SOURCES/reviews/985190-python-django-memcached-pool
INFO: Downloading .spec and .srpm files
INFO: Downloading (Source0): https://github.com/mozilla/django-memcached-pool/archive/64262f7feb5b501955ff542692571a1e60dce985/django-memcached-pool-0.4.1-64262f7.tar.gz
INFO: Running checks and generating report

ERROR: Exception(/home/marcelo.barbosa/rpmbuild/SOURCES/reviews/985190-python-django-memcached-pool/srpm/python-django-memcached-pool-0.4.1-1.fc19.src.rpm) Config(fedora-19-x86_64) 0 minutes 13 seconds
INFO: Results and/or logs in: /home/marcelo.barbosa/rpmbuild/SOURCES/reviews/985190-python-django-memcached-pool/results
ERROR: Command failed: 
INFO: WARNING: Probably non-rawhide buildroot used. Rawhide should be used for most package reviews
ERROR: 'mock build failed, see /home/marcelo.barbosa/rpmbuild/SOURCES/reviews/985190-python-django-memcached-pool/results/build.log'


$ cat /home/marcelo.barbosa/rpmbuild/SOURCES/reviews/985190-python-django-memcached-pool/results/build.log
Mock Version: 1.1.32
ENTER do(['bash', '--login', '-c', 'rpmbuild -bs --target x86_64 --nodeps builddir/build/SPECS/python-django-memcached-pool.spec'], False, '/var/lib/mock/fedora-19-x86_64/root/', None, 0, True, False, 1000, 988, None, False, {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}, logger=<mockbuild.trace_decorator.getLog object at 0x2afd310>)
Executing command: ['bash', '--login', '-c', 'rpmbuild -bs --target x86_64 --nodeps builddir/build/SPECS/python-django-memcached-pool.spec'] with env {'LANG': 'en_US.UTF-8', 'TERM': 'vt100', 'SHELL': '/bin/bash', 'CCACHE_DIR': '/tmp/ccache', 'HOSTNAME': 'mock', 'PROMPT_COMMAND': 'echo -n "<mock-chroot>"', 'HOME': '/builddir', 'PATH': '/usr/bin:/bin:/usr/sbin:/sbin', 'CCACHE_UMASK': '002'}
Building target platforms: x86_64
Building for target x86_64
Wrote: /builddir/build/SRPMS/python-django-memcached-pool-0.4.1-1.fc19.src.rpm
Child return code was: 0
LEAVE do --> 


Regards.

Marcelo Barbosa - (firemanxbr)
Comment 2 Yohan Graterol 2013-07-29 22:15:49 EDT
Hi Marcelo,

I don't understand the error, but I think than is the BR "memcached". On the new spec I added memcached as BR.

New SPEC: http://yograterol.fedorapeople.org/python-django-memcached-pool.spec
New SRPM: http://yograterol.fedorapeople.org/python-django-memcached-pool-0.4.1-2.fc19.src.rpm

Built in Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5675991
Comment 3 Marcelo Barbosa "firemanxbr" 2013-07-30 04:17:07 EDT
Hi Yohan,

   Now is run, but check this issues:

   1) License:(Verify)
   In your package this command "licensecheck" resulted Apache (v2.0) about this file: https://github.com/mozilla/django-memcached-pool/blob/master/LICENCE, and fedora-review reported this files:

Unknown or generated
--------------------
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/django-memcached-pool-64262f7feb5b501955ff542692571a1e60dce985/memcachepool/cache.py
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/django-memcached-pool-64262f7feb5b501955ff542692571a1e60dce985/memcachepool/client.py
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/django-memcached-pool-64262f7feb5b501955ff542692571a1e60dce985/memcachepool/pool.py
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/django-memcached-pool-64262f7feb5b501955ff542692571a1e60dce985/memcachepool/tests/__init__.py
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/django-memcached-pool-64262f7feb5b501955ff542692571a1e60dce985/memcachepool/tests/settings.py
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/django-memcached-pool-64262f7feb5b501955ff542692571a1e60dce985/memcachepool/tests/test_cache.py
/var/lib/mock/fedora-rawhide-x86_64/root/builddir/build/BUILD/django-memcached-pool-64262f7feb5b501955ff542692571a1e60dce985/setup.py


   2) Main URL:(Suggestion)
   Verify main page about your package, the variable URL in spec is "pypi" page, but SOURCE0 download main page in https://github.com/mozilla/django-memcached-pool.

Regards.
Comment 4 Eduardo Echeverria 2013-07-30 05:26:23 EDT
I don't revised the package in depth, however I'll to do a commentary for the reviewer.

don't base your reviews only in a tool such as fedora-review , you have to be more consistent with your commentaries.

For the first point: License
licensecheck look into file to search a pattern that matches with a known license, if it not encounter ,  then,  you have to look manually and check. So the last commentary don't make sense. Please check it if exist some different license, in addition of the listed on the  license field.

For the main url: the field URL not necessarily have that coincide with the Source URL.

Greeting to both
Comment 5 Yohan Graterol 2013-07-30 09:29:40 EDT
Really I put "GitHub Repo" in Source0 for have the latest software version.

About the license is ASL 2.0, I change the license in the spec.

Thanks Eduardo for your suggestions.

New SPEC: http://yograterol.fedorapeople.org/python-django-memcached-pool.spec
New SRPM: http://yograterol.fedorapeople.org/python-django-memcached-pool-0.4.1-3.fc19.src.rpm
Comment 6 Marcelo Barbosa "firemanxbr" 2013-08-06 11:54:35 EDT
Hi Yohan,

      Congrats this package this it okay.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 7 files have unknown license. Detailed output of
     licensecheck in /home/marcelo.barbosa/rpmbuild/SOURCES/reviews/985190
     -python-django-memcached-pool/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-django-memcached-pool-0.4.1-3.fc19.noarch.rpm
python-django-memcached-pool.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
python-django-memcached-pool.noarch: W: spelling-error %description -l en_US ultramemcache -> ultramarine
1 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-django-memcached-pool
python-django-memcached-pool.noarch: W: spelling-error %description -l en_US backend -> backed, back end, back-end
python-django-memcached-pool.noarch: W: spelling-error %description -l en_US ultramemcache -> ultramarine
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-django-memcached-pool (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-django-memcached-pool:
    python-django-memcached-pool



Source checksums
----------------
https://github.com/mozilla/django-memcached-pool/archive/64262f7feb5b501955ff542692571a1e60dce985/django-memcached-pool-0.4.1-64262f7.tar.gz :
  CHECKSUM(SHA256) this package     : 35dd5b8f0229335b142fb9173299ff977ea970c34d038405ba9c5fc891c571f7
  CHECKSUM(SHA256) upstream package : 35dd5b8f0229335b142fb9173299ff977ea970c34d038405ba9c5fc891c571f7


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-x86_64
Command line :/usr/bin/fedora-review -b 985190

----------------

PACKAGE APPROVED

----------------

Marcelo Barbosa (firemanxbr)
Comment 7 Yohan Graterol 2013-08-06 12:39:04 EDT
Thanks Marcelo,

New Package SCM Request
=======================
Package Name: python-django-memcached-pool
Short Description: A Memcached Pool for Django
Owners: yograterol
Branches: f18 f19
InitialCC:
Comment 8 Gwyn Ciesla 2013-08-06 12:51:16 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-08-08 21:18:36 EDT
python-django-memcached-pool-0.4.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-django-memcached-pool-0.4.1-3.fc18
Comment 10 Fedora Update System 2013-08-08 21:27:12 EDT
python-django-memcached-pool-0.4.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-django-memcached-pool-0.4.1-3.fc19
Comment 11 Fedora Update System 2013-08-09 23:54:08 EDT
python-django-memcached-pool-0.4.1-3.fc19 has been pushed to the Fedora 19 testing repository.
Comment 12 Fedora Update System 2013-08-18 17:33:13 EDT
python-django-memcached-pool-0.4.1-3.fc18 has been pushed to the Fedora 18 stable repository.
Comment 13 Fedora Update System 2013-08-18 17:35:16 EDT
python-django-memcached-pool-0.4.1-3.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.